[Autenticado] Criar um novo post
curl --request POST \
--url https://apis.cativalab.digital/tenant/api/v2/community/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"htmlContent": "<string>",
"rawContent": "<string>",
"title": "<string>",
"isPrivate": true,
"allowComments": true,
"toId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"speechUrl": "<string>",
"hashTags": [
"<string>"
],
"tags": [
"<string>"
],
"imageIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"videoIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"attachmentIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"mediaAssetIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sendPushNotification": true
}
'import requests
url = "https://apis.cativalab.digital/tenant/api/v2/community/posts"
payload = {
"content": "<string>",
"htmlContent": "<string>",
"rawContent": "<string>",
"title": "<string>",
"isPrivate": True,
"allowComments": True,
"toId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"speechUrl": "<string>",
"hashTags": ["<string>"],
"tags": ["<string>"],
"imageIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"videoIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"attachmentIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"mediaAssetIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"sendPushNotification": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
htmlContent: '<string>',
rawContent: '<string>',
title: '<string>',
isPrivate: true,
allowComments: true,
toId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
groupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
speechUrl: '<string>',
hashTags: ['<string>'],
tags: ['<string>'],
imageIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
videoIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
attachmentIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
mediaAssetIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
sendPushNotification: true
})
};
fetch('https://apis.cativalab.digital/tenant/api/v2/community/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Posts
[Autenticado] Criar um novo post
POST
/
api
/
v2
/
community
/
posts
[Autenticado] Criar um novo post
Autorizações
Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer .
Corpo
application/json
Resposta
200
OK
⌘I
